Mulgara - Bug #80

RMI port change not possible
02/07/2008 04:52 PM - Paula Gearon

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Paula Gearon % Done: 0%
Category: Mulgara Estimated time: 0.00 hour
Target version:

Resolution: fixed

Description

When RMIServer starts up it attempts to use an InitialContext that has a PROVIDER_URL set to rmi://localhost. However, this is
never updated for those occasions when the port has been configured differently, so the RMI service is not allowed to start in these

conditions.

Pulling apart the URL to check if it is correct cannot be done by default for URLs with the RMI protocol. Either the URL string has to
be parsed manually, or else a protocol handler needs to be registered for RMI. Since we use RMI URLs in a number of places, it
seems to make sense to create the handler, making these legal to create.

History

#1 - 03/28/2008 03:51 AM - Paula Gearon
- Status changed from New to Closed

- Resolution set to fixed

#2 - 03/28/2008 06:22 AM - ronald -
Fixed in r718.
https://code.mulgara.org/projects/mulgara/wiki/InitialContext
https://code.mulgara.org/projects/mulgara/repository/3/revisions/718
http://www.tcpdf.org

